New in version 3.0.0-0

February 26th, 2015
  • Updated Redmine to 3.0.0-0

New in version 2.6.2-0 (February 23rd, 2015)

  • Updated PHP to 5.4.37
  • Updated Apache to 2.4.12
  • Updated MySQL to 5.5.42 for Linux and Windows
  • Updated PageSpeed to 1.9.32.3
  • Updated phpMyAdmin to 4.3.8
  • Fixed subversion dependency issue on OS X

New in version 2.6.1-2 (February 14th, 2015)

  • Updated PHP to 5.4.37
  • Updated Apache to 2.4.12
  • Updated MySQL to 5.5.42 for Linux and Windows
  • Updated PageSpeed to 1.9.32.3
  • Updated phpMyAdmin to 4.3.8
  • Fixed subversion dependency issue on OS X

New in version 2.6.1-1 (January 25th, 2015)

  • Fixed installer issue with Japanese translation
  • Updated redcarpet gem to 2.3.0 for Windows
  • Updated Passenger to 4.0.57
  • Updated OpenSSL to 1.0.1k (Linux and OS X)

New in version 2.6.1-0 (January 13th, 2015)

  • Updated Redmine to 2.6.1
  • Updated phpMyAdmin to 4.3.3
  • Updated PHP to 5.4.36

New in version 2.6.0-3 (December 24th, 2014)

  • Updated Git to 1.9.5
  • Fixed Error with ImageMagick on Windows

New in version 2.6.0-2 (December 13th, 2014)

  • Updated PHP to 5.4.35
  • Updated phpMyAdmin to 4.2.12
  • Updated Ruby to 2.0.0-p594
  • Updated Passenger to 4.0.53
  • Updated Rails to 4.1.7

New in version 2.5.2-3 (October 10th, 2014)

  • Updated phpMyAdmin to 4.2.9.1
  • Updated MySQL to 5.5.40
  • Signed with codesign v2
  • Updated PHP to 5.4.33
  • Updated Passenger to 4.0.50
  • Updated phpMyAdmin to 4.2.8

New in version 2.5.2-2 (October 2nd, 2014)

  • Updated MySQL to 5.5.39
  • Updated PHP to 5.4.32
  • Updated OpenSSL to 1.0.1i
  • Updated phpMyAdmin to 4.2.7.1
  • Updated Rails to 4.1.5
  • Updated Bundler to 1.7.0

New in version 2.4.3-0 (February 11th, 2014)

  • Updated Redmine to 2.4.3
  • Update libyaml to 0.1.5
  • Updated phpMyAdmin to 4.1.4
  • Updated PHP to 5.4.24
  • Updated Subversion to 1.8.5
  • Updated OpenSSL to 1.0.1f in Linux and OSX
  • Updated Git to 1.8.5.2
  • Updated Passenger to 4.0.33

New in version 2.4.2-0 (December 27th, 2013)

  • Updated Redmine to 2.4.2
  • Updated phpMyAdmin to 4.1.0
  • Updated PHP to 5.4.23

New in version 2.4.1-1 (December 5th, 2013)

  • Updated Rails to 3.2.16

New in version 2.4.1-0 (November 26th, 2013)

  • Updated Redmine to 2.4.1

New in version 2.4.0-1 (November 23rd, 2013)

  • Updated Ruby to 1.9.3-p484

New in version 2.4.0-0 (November 19th, 2013)

  • Updated Redmine to 2.4.0.

New in version 2.3.3-2 (November 16th, 2013)

  • Added .git files with the Redmine repository.

New in version 2.3.3-1 (October 1st, 2013)

  • Fix SSL support for Subversion on Unix.

New in version 2.3.3-0 (September 17th, 2013)

  • Updated Redmine to 2.3.3.

New in version 2.3.2-2 (September 11th, 2013)

  • Updated Subversion to 1.8.3

New in version 2.3.2-1 (August 21st, 2013)

  • Fixed conflicts with thin server on Windows
  • Updated PHP to 5.4.18

New in version 2.3.2-0 (July 25th, 2013)

  • Updated Redmine to 2.3.2
  • Added mod_pagespeed 1.6.29.2 for Linux

New in version 2.3.1-3 (June 28th, 2013)

  • Upgrade Ruby to 1.9.3-p448 for Linux and OSX
  • Updated MySQL to 5.5.32

New in version 2.3.1-2 (June 25th, 2013)

  • Updated PHP to 5.4.16
  • Updated phpMyAdmin to 4.0.3
  • Updated Git to 1.8.3
  • Upgrade Ruby to 1.9.3-p429 for Linux and OSX
  • Updated Passenger to 4.0.2

New in version 2.3.1-1 (May 16th, 2013)

  • Upgrade Ruby to 1.9.3-p429 for Linux and OSX
  • Updated Passenger to 4.0.2

New in version 2.3.1-0 (May 7th, 2013)

  • Updated Redmine to 2.3.0
  • Updated Apache to 2.4.4
  • Added Apache MPM prefork, worker and event
  • Updated Perl to 5.16.3
  • Updated mod_perl to 2.0.8-dev

New in version 2.3.0-2 (April 26th, 2013)

  • Added patches that improve Ruby 1.9.3 for Linux and OSX.

New in version 2.2.3-1 (April 25th, 2013)

  • Updated MySQL to 5.5.30
  • Updated Git to 1.8.2
  • Added patches that improve Ruby 1.9.3

New in version 2.3.0-0 (March 21st, 2013)

  • Updated Redmine to 2.3.0
  • Updated Rails to 3.2.13 to fix CVE-2013-1855, CVE-2013-1856 and CVE-2013-1857.
  • Updated PHP to 5.4.13
  • Updated Apache to 2.2.24
  • Updated Ruby to 1.9.3-p392
  • Updated MySQL to 5.5.29
  • Updated Passenger to 4.0.0.rc4

New in version 1.4.7-2 (February 21st, 2013)

  • Updated Rails to 2.3.17 and json to 1.7.7 to fix CVE-2013-0269, CVE-2013-0276 and CVE-2013-0277.

New in version 2.2.3-0 (February 20th, 2013)

  • Updated Redmine to 2.2.3
  • Updated Rails to 3.2.12 to fix CVE-2013-0269, CVE-2013-0276 and CVE-2013-0277.

New in version 1.4.7-1 (January 30th, 2013)

  • Added fix for JSON Parser CVE-2013-0333

New in version 1.4.7-0 (January 24th, 2013)

  • Updated Redmine to 1.4.7

New in version 2.2.2-0 (January 24th, 2013)

  • Updated Redmine to 2.2.2

New in version 1.4.6-1 (January 18th, 2013)

  • Added fix for Active Record with JSON CVE-2013-0155 in activerecord-2.3.15

New in version 1.4.6-0 (January 15th, 2013)

  • Updated Redmine to 1.4.6

New in version 2.2.1-0 (January 12th, 2013)

  • Updated Redmine to 2.2.1

New in version 2.1.6-0 (January 11th, 2013)

  • Updated Redmine to 2.1.6

New in version 2.2.0-2 (January 10th, 2013)

  • Updated Rails to 3.2.11 to fix Unsafe Query Generation Risk in Ruby on Rails (CVE-2013-0155) and Multiple vulnerabilities in parameter parsing in Action Pack (CVE-2013-0156) in Rails 3.2.10

New in version 1.4.5-1 (January 10th, 2013)

  • Updated Rails to 2.3.15 to fix CVE-2012-5664 and CVE-2013-0156
  • Added fix for SQL injection CVE-2012-5664 in Rails 2.3.14

New in version 2.2.0-1 (January 9th, 2013)

  • Updated Rails to 3.2.10 to fix SQL injection CVE-2012-5664 in Rails 3.2.9

New in version 2.1.5-0 (December 20th, 2012)

  • Updated Redmine to 2.1.5
  • Updated PHP to 5.4.9
  • Downgrade the Ruby version on Windows to 1.9.3p194 to fix the issue with plugins: http://www.redmine.org/boards/4/topics/34353

New in version 2.2.0-0 (December 20th, 2012)

  • Updated Redmine to 2.2.0
  • Updated PHP to 5.4.9
  • Reverted Ruby to 1.9.3-p194 only for Windows because compatibility issues with plugins.

New in version 2.1.4-0 (November 28th, 2012)

  • Updated Redmine to 2.1.4
  • Updated PHP to 5.4.9
  • Fixed ImageMagick issue with fonts on Linux 64bit

New in version 1.4.5-0 (November 20th, 2012)

  • Updated Redmine to 1.4.5
  • Updated APC to 3.1.13

New in version 2.1.3-0 (November 20th, 2012)

  • Updated Redmine to 2.1.3
  • Updated APC to 3.1.13
  • Fixed Passenger issue with athlon kernel

New in version 1.4.4-1 (November 19th, 2012)

  • Updated Ruby to 1.9.3-p327
  • Updated MySQL to 5.5.28
  • Updated Rails to 3.2.9
  • Updated Passenger to 3.9.1.beta
  • Added DevKit

New in version 2.1.2-2 (November 17th, 2012)

  • Updated Ruby to 1.9.3-p327
  • Updated MySQL to 5.5.28
  • Updated Rails to 3.2.9
  • Updated Passenger to 3.9.1.beta
  • Added DevKit

New in version 2.1.2-1 (November 1st, 2012)

  • Updated Apache to 2.2.23
  • Fixed ImageMagick issue with fonts
  • Configured ImageMagick to support thumbnails
  • Updated PHP to 5.3.18
  • Updated phpMyAdmin to 3.5.3

New in version 2.1.2-0 (October 3rd, 2012)

  • Updated Redmine to 2.1.0

New in version 2.1.0-0 (September 26th, 2012)

  • Updated Redmine to 2.1.0

New in version 2.0.4-0 (September 26th, 2012)

  • Updated Redmine to 2.1.0

New in version 2.0.3-0 (June 21st, 2012)

  • Updated Remdine to 2.0.3
  • Updated Redmine to 1.4.4
  • Fixed issue with ImageMagick and fonts on Linux and OS X
  • Added mysql2 adapter for Redmine 2.0
  • Updated Rails 2.3.6 for Redmine 2.0

New in version 2.0.2-0 (June 12th, 2012)

  • Update Redmine to 1.4.3
  • Configuration improvement to use Passenger (OS X and Linux) for 1.4.3 version
  • Configuration improvement to use Thin (Windows) for 1.4.3 version

New in version 2.0.1-0 (May 30th, 2012)

  • Update Redmine to 2.0.1

New in version 2.0.0-0 (May 24th, 2012)

  • Updated Redmine to 2.0.0
  • Update Rails to 3.2.3
  • Configuration improvement to use Passenger (OS X and Linux)
  • Configuration improvement to use Thin (Windows)

New in version 1.4.2-1 (May 18th, 2012)

  • Update PHP to 5.3.13
  • Update OpenSSL to 1.0.1c
  • Fix CA cert issue with Git
  • Fix openssl version issue
  • Add Digets::SHA perl module for advanced Subversion integration

New in version 1.4.2-0 (May 15th, 2012)

  • Update Redmine to 1.4.2
  • Update PHP to 5.3.12
  • Update phpMyAdmin to 3.5.1

New in version 1.4.1-0 (April 24th, 2012)

  • Updated Redmine to 1.4.1

New in version 1.4.0-0 (April 17th, 2012)

  • Updated Redmine to 1.4.0
  • Added coderay 1.0.6
  • Added fastercsv 1.5.4
  • Added net-ldap 0.3.1
  • Added ruby-openid 2.1.8
  • Added tzinfo 0.3.33

New in version 1.3.2-1 (April 5th, 2012)

  • Add support for Russian language
  • Update Ruby to 1.8.7-p358
  • Update MySQL 5.5.21
  • Update PostgreSQL addon to 9.1.3
  • Update SQLite to 3.7.10
  • Update Subversion to 1.7.4
  • Update Git to 1.7.9.4
  • Update libraries for Linux and OSX:
  • OpenSSL to 1.0.1
  • zlib 1.2.6
  • OpenLDAP to 2.4.23
  • ncurses 5.9
  • bzip2 1.0.6
  • libpng to 1.5.9
  • tiff to 4.0.1
  • jpeg to 8d
  • freetype to 2.4.8
  • ImageMagick to 6.7.5
  • expat 2.0.1
  • cyrus-sasl to 2.1.25
  • gmp to 4.3.1
  • curl to 7.24.0
  • libiconv to 1.14
  • imap to 2007f
  • libxml2 to 2.7.8
  • libxslt to 1.1.26
  • icu4c to 4_8_1_1

New in version 1.3.1-1 (February 24th, 2012)

  • Add support for German and Romanian languages

New in version 1.3.1-0 (February 8th, 2012)

  • Update Redmine to 1.3.1
  • Add support for Korean and Hebrew, thanks to Shin and Yaron Shahrabani
  • Update PHP to 5.3.10
  • Update phpMyAdmin to 3.4.9
  • Update AWS SDK for Ruby to 1.2.5
  • Update AWS SDK for PHP to 1.5.0

New in version 1.3.0-1 (December 27th, 2011)

  • Add support for Korean and Simplified Chinese languages, thanks to Shin (bomber) and deng kangming (Dengkangming).
  • Add phpMyAdmin optional component
  • Be able to install PHP applications modules on top of the Redmine Stack
  • Updated gems

New in version 1.3.0-0 (December 13th, 2011)

  • Update Redmine to 1.3.0
  • Update Rails to 2.3.14
  • Update Subversion to 1.7.1
  • Update Git to 1.7.8
  • Update passenger to 3.0.11
  • Update MySQL to 5.5.16 for Linux and OS X
  • Update AWS SDK for Ruby to 1.2.4

New in version 1.2.2-0 (November 16th, 2011)

  • Update Redmine to 1.2.2
  • Add gem bundler 1.0.18
  • Fix git wrapper

New in version 1.2.1-2 (September 19th, 2011)

  • Added mail support with SMTP

New in version 1.2.1-1 (August 3rd, 2011)

  • Add support for Japanese and Spanish languages
  • Disable MySQL binary logging
  • Japanese translation kindly contributed by Kei SAKAI from ARTRY Ltd. http://artry.co.jp/ (twitter: @sakaik)

New in version 1.2.1-0 (July 13th, 2011)

  • Update Redmine to 1.2.1
  • Add graphical tool for managing servers

New in version 1.2.0-0 (June 1st, 2011)

  • Updated Redmine to 1.2.0
  • Add TIFF support on Linux

New in version 1.1.3-1 (May 23rd, 2011)

  • Don't allow to execute the ctlscript.sh script as root when the stack is installed as a non root user
  • Updated ruby to 1.8.7-p334
  • Updated rubygems to 1.6.2
  • Updated nginx to 1.0.2
  • Updated git 1.7.4
  • Updated passenger 3.0.7 (only for Linux)
  • Update SQLite to 1.3.3
  • Added DBD::MySQL cpan module
  • Updated gem rails 2.3.11
  • Updated several gems (check RubyStack changelog)

New in version 1.1.3-0 (May 4th, 2011)

  • Update Redmine to 1.1.3

New in version 1.1.2-1 (March 29th, 2011)

  • Fix utf8 database support
  • Update MySQL to 5.1.56

New in version 1.1.2-0 (March 10th, 2011)

  • Update Redmine to 1.1.2
  • Fix utf8 database support
  • Update Subversion to 1.6.15

New in version 1.1.1-0 (February 7th, 2011)

  • Updated Redmine to 1.1.1
  • Added mod_ldap and mod_authnz_ldap modules for Linux and OS X

New in version 1.1.0-0 (January 14th, 2011)

  • Update Redmine to 1.1.0
  • Added gem i18n 0.4.2

New in version 1.0.3-0 (November 10th, 2010)

  • Update Redmine to 1.0.3
  • Update Apache to 2.2.17

New in version 0.9.6-0 (July 22nd, 2010)

  • Updated Redmine to 0.9.6

New in version 0.9.4-0 (May 26th, 2010)

  • Update Remdine to 0.9.4
  • Replaced Ruby and gems with their mingw32 version in Windows.
  • Fixed openssl binary (Windows)
  • Removed some unnecessary files to reduce stack size
  • Updated Ruby to 1.8.7-p249 (Linux, Windows)
  • Downgraded Ruby to 1.8.7-p174 to avoid SEGFAULT errors (OS X)
  • Updated Apache to 2.2.14
  • Updated Git to 1.7.0.5 (Unix)
  • Updated Git to 1.7.0.2 (Windows)
  • Added gem mini_magick 1.2.5
  • Updated many gems.

New in version 0.9.3-0 (March 22nd, 2010)

  • Update Apache to 2.2.14
  • Update Redmine to 0.9.3

New in version 0.8.6-0 (November 10th, 2009)

  • Updated Redmine to 0.8.6
  • Allow long passwords in Virtual Machines
  • Include Git 1.6.3.1

New in version 0.8.5-0 (September 23rd, 2009)

  • Redmine was updated to 0.8.5.

New in version 0.8.4-1 (August 25th, 2009)

  • Redmine was updated to 0.8.4.
  • A MySQL issue which occurred when a previous MySQL instance is installed was fixed.
  • ImageMagick was updated to 6.5.2-9 on Unix and to 6.4.8-6-Q8 on Windows.
  • Ruby was updated to 1.8.7-p160 on Unix and to 1.8.7-p72 Windows.
  • Subversion was updated to 1.6.2.
  • rubygems was updated to 1.3.4.
  • The rake gem was updated to 0.8.7, Rails to 2.3.2
  • The cucumber gem 0.3.9 was added.
  • Many other gems were updated.
  • The piston gem was removed.